{
    num: 863,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Revival Blessing",
    pp: 1,
    noPPBoosts: true,
    priority: 0,
    flags: {heal: 1, nosketch: 1, noassist: 1},
    onDisableMove(pokemon) {
        if (pokemon.hp < pokemon.maxhp / 2) {
            pokemon.disableMove('revivalblessing');
        }
    },
    onTryHit(source) {
        if (!source.side.pokemon.filter(ally => ally.fainted).length) {
            return false;
        }
        if (source.hp <= source.maxhp / 2 || source.maxhp === 1) {
            return false;
        }
        this.directDamage(source.maxhp / 2);
    },
    slotCondition: 'revivalblessing',
    selfSwitch: true,
    condition: {
        duration: 1,
    },
    secondary: null,
    zMove: { effect: "clearnegativeboost" },
    target: "self",
    type: "Normal",
}
